Name: nagios-plugins
Version: 1.4.16
Release: 1
Summary: Host/service/network monitoring program plugins for Nagios
Group: Applications/System
License: GPLv2+
URL: http://nagiosplugins.org/
Source0: http://downloads.sourceforge.net/nagiosplug/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext >= 0.10.40
BuildRequires: nagios
BuildRequires: openldap-devel >= 2.4.23
BuildRequires: openssl-devel >= 1.0.1f-1

Requires: bash
Requires: gettext >= 0.10.40
Requires: openldap >= 2.4.23
Requires: openssl >= 1.0.1f-1

%description
Nagios is a program that will monitor hosts and services on your
network.  It has the ability to send email or page alerts when a
problem arises and when a problem is resolved.  Nagios is written
in C and is designed to run under Linux (and some other *NIX
variants) as a background process, intermittently running checks
on various services that you specify.

The actual service checks are performed by separate "plugin" programs
which return the status of the checks to Nagios.

This package contains those plugins.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --libexecdir=%{_libdir}/nagios/plugins \
    --enable-extra-opts \
    --with-nagios-user=nagios \
    --with-nagios-group=nagios \
    PATH_TO_NTPQ=/usr/sbin/ntpq \
    PATH_TO_NTPDATE=/usr/sbin/ntpdate \
    --with-ps-command="/usr/sysv/bin/ps -eo 's uid pid ppid vsz rss pcpu etime comm args'" \
    --with-ps-format='%s %d %d %d %d %d %f %s %s %n' \
    --with-ps-cols=10 \
    --with-ps-varlist='procstat,&procuid,&procpid,&procppid,&procvsz,&procrss,&procpcpu,procetime,procprog,&pos'

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_libdir}/nagios/plugins/* || :

chmod 644 ${RPM_BUILD_ROOT}%{_libdir}/nagios/plugins/utils.pm


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ACKNOWLEDGEMENTS AUTHORS BUGS ChangeLog CODING COPYING FAQ LEGAL NEWS
%doc README REQUIREMENTS SUPPORT THANKS
%dir %{_libdir}/nagios/plugins
%{_libdir}/nagios/plugins/*


%changelog
* Tue Jun 18 2013 Michael Perzl <michael@perzl.org> - 1.4.16-1
- updated to version 1.4.16

* Tue Jun 18 2013 Michael Perzl <michael@perzl.org> - 1.4.15-1
- updated to version 1.4.15

* Wed Jun 20 2012 Michael Perzl <michael@perzl.org> - 1.4.14-1
- first version for AIX V5.1 and higher
